Overview | Modules | Class Hierarchy | Classes | Members

# Types.h File Reference

`#include <set>`
`#include <vector>`
`#include <string>`
`#include <list>`
`#include <iostream>`
`#include <sstream>`
`#include <float.h>`
`#include <tulip/ReturnType.h>`
`#include "tulip/Coord.h"`
`#include "tulip/Size.h"`
`#include "tulip/Color.h"`
`#include "tulip/StringCollection.h"`
`#include "tulip/Edge.h"`

Include dependency graph for Types.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::Type
- class tlp::GraphType
- class tlp::EdgeSetType
- class tlp::DoubleType
- class tlp::DoubleVectorType
- class tlp::IntegerType
- class tlp::IntegerVectorType
- class tlp::BooleanType
- class tlp::BooleanVectorType
- class tlp::LineType
- class tlp::PointType
- class tlp::SizeType
- class tlp::SizeVectorType
- class tlp::StringType
- class tlp::StringVectorType
- class tlp::ColorType
- class tlp::ColorVectorType
- class tlp::CoordVectorType

## Functions

- tlp::DECL_STORED_STRUCT (std::set< node >)
- tlp::DECL_STORED_STRUCT (std::set< edge >)
- tlp::DECL_STORED_STRUCT (std::vector< double >)
- tlp::DECL_STORED_STRUCT (std::vector< int >)
- tlp::DECL_STORED_STRUCT (std::vector< bool >)
- tlp::DECL_STORED_STRUCT (std::vector< Coord >)
- tlp::DECL_STORED_STRUCT (Size)
- tlp::DECL_STORED_STRUCT (std::vector< Size >)
- tlp::DECL_STORED_STRUCT (std::string)
- tlp::DECL_STORED_STRUCT (std::vector< std::string >)
- tlp::DECL_STORED_STRUCT (std::vector< Color >)

Tulip Software by LaBRI Visualization Team 2001 - 2010